routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('auth.login');
});

Auth::routes();

Route::get('/home', 'HomeController@index')->name('home');

Route::resource('/profile','ProfileController')->middleware('auth');


// Route::get('/articles','ArticleController@index');
// Route::get('/articles/create','ArticleController@create');
// Route::post('/articles','ArticleController@store');
// Route::get('/articles/{articles_id}','ArticleController@show');
// Route::get('/articles/{articles_id}/edit','ArticleController@edit');
// Route::put('/articles/{articles_id}','ArticleController@update');
// Route::delete('/articles/{articles_id}','ArticleController@destroy');


Route::get('/test-dompdf', function(){
    $pdf = App::make('dompdf.wrapper');
    $pdf->loadHTML('<h1>Test</h1>');
    return $pdf->stream();
});

// Route articles:
// Route::get('/articles','ArticleController@index');
// Route::get('/articles/create','ArticleController@create');
// Route::post('/articles','ArticleController@store');
// Route::get('/articles/{id}','ArticleController@show');
// Route::get('/articles/{id}/edit','ArticleController@edit');
// Route::put('/articles/{id}','ArticleController@update');
// Route::delete('/articles/{id}','ArticleController@destroy');
Route::resource('articles','ArticleController')->middleware('auth');


// Route comments:
// Route::get('/comments','CommentController@index');
// Route::get('/comments/create','CommentController@create');
// Route::post('/comments','CommentController@store');
// Route::get('/comments/{id}','CommentController@show');
// Route::get('/comments/{id}/edit','CommentController@edit');
// Route::put('/comments/{id}','CommentController@update');
// Route::delete('/comments/{id}','CommentController@destroy');
Route::resource('comments','CommentController')->middleware('auth');

//Route::get('/comments/create/{id}','CommentController@create');
//Route::post('/comments/{id}','CommentController@store');

resources/views/layouts/partials/categories.blade.php
<div class="card my-4">
          <h5 class="card-header">Categories</h5>
          <div class="card-body">
            <div class="row">
              <div class="col-lg-6">
                <ul class="list-unstyled mb-0">
                  <li>
                    <a href="#">Web Design</a>
                  </li>
                  <li>
                    <a href="#">HTML</a>
                  </li>
                  <li>
                    <a href="#">Freebies</a>
                  </li>
                </ul>
              </div>
              <div class="col-lg-6">
                <ul class="list-unstyled mb-0">
                  <li>
                    <a href="#">JavaScript</a>
                  </li>
                  <li>
                    <a href="#">CSS</a>
                  </li>
                  <li>
                    <a href="#">Tutorials</a>
                  </li>
                </ul>
              </div>
            </div>
          </div>
        </div>

resources/views/layouts/partials/navigation.blade.php
<nav class="navbar navbar-expand-lg navbar-dark bg-dark fixed-top">
    <div class="container">
      <a class="navbar-brand" href="{{ url('/articles') }}">BLOGK24</a>
      <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarResponsive" aria-controls="navbarResponsive" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
      </button>
      <div class="collapse navbar-collapse" id="navbarResponsive">
        <ul class="navbar-nav ml-auto">
            <!-- Authentication Links -->
            @guest
                <li class="nav-item">
                    <a class="nav-link" href="{{ route('login') }}">{{ __('Login') }}</a>
                </li>
                @if (Route::has('register'))
                    <li class="nav-item">
                        <a class="nav-link" href="{{ route('register') }}">{{ __('Register') }}</a>
                    </li>
                @endif
            @else
                <li class="nav-item dropdown">
                    <a style="color:#000000" id="navbarDropdown" class=" btn btn-sm btn-warning dropdown-toggle" href="#" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" v-pre>
                        {{ Auth::user()->username }} <span class="caret"></span>
                    </a>
                    <ul class="dropdown-menu dropdown-menu-right text-right">
                        <li class="dropdown-item">
                            <div class="media">
                                <div class="media-left">
                                <img class="mt-2" src="{{asset('images/profile.png')}}" style="width:auto;height:50px">
                                </div>
                                <div class="media-body">
                                <h6 class="media-heading">{{ Auth::user()->email }}</h6>
                              
                                <h6 class="media-heading">Article: <b> </b></h6>
                               
                                <h6 class="media-heading">Comment:</b></h6>
                                <a href="{{route('profile.edit',Auth::user()->id)}}" class="btn btn-info btn-sm">Edit Profile</a>
                                
                                </div>
                            </div>
                                <!-- <div class="media">
                                    <img src="{{asset('images/profile.png')}}" class="img-size-50 mr-3" style="width:30%">
                                    <div class="media-body">
                                        
                                        {{ Auth::user()->email }}
                                        
                                        
                                        <span><a class="btn btn-info btn-sm">Edit Profile</a></span>
                                    </div>
                                </div> -->
                            
                        </li>
                        <li><hr class="dropdown-divider"></li>
                        <li><a class="dropdown-item" href="{{ route('logout') }}" onclick="event.preventDefault();
                                          document.getElementById('logout-form').submit();">{{ __('Logout') }}</a></li>
                            <form id="logout-form" action="{{ route('logout') }}" method="POST" style="display: none;">
                                @csrf
                            </form>
                    </ul>        
                    <!-- <div class="dropdown-menu dropdown-menu-right" aria-labelledby="navbarDropdown">
                        <a class="dropdown-item" href="{{ route('logout') }}"
                            onclick="event.preventDefault();
                                          document.getElementById('logout-form').submit();">
                            {{ __('Logout') }}
                        </a>

                        <form id="logout-form" action="{{ route('logout') }}" method="POST" style="display: none;">
                            @csrf
                        </form>
                    </div> -->
                </li>
            @endguest
        </ul>
        <!-- <ul class="navbar-nav ml-auto">
          <li class="nav-item active">
            <a class="nav-link" href="#">Home
              <span class="sr-only">(current)</span>
            </a>
          </li>
          <li class="nav-item">
            <a class="nav-link" href="#">About</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" href="#">Services</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" href="#">Contact</a>
          </li>
        </ul> -->
      </div>
    </div>
  </nav>

resources/views/layouts/partials/search.blade.php
<div class="card my-4">
          <h5 class="card-header">Search</h5>
          <div class="card-body">
            <div class="input-group">
              <input type="text" class="form-control" placeholder="Search for...">
              <span class="input-group-append">
                <button class="btn btn-secondary" type="button">Go!</button>
              </span>
            </div>
          </div>
        </div>